# wmadec

*The worst media conversion tool*

## Building

You can build this tool on non-Windows operating systems. You need to have
nuget and msbuild (e.g. from mono) installed. You can then run the `build.sh`
script (possibly with `sh build.sh`, since I use `nix-shell` in the shebang).
If you use Nix you don’t have to install anything, just run the build script,
it takes care of installing the dependencies automatically.

## Usage

The usage of this tool is very simple. It reads compressed wma data from stdin
and writes uncompressed PCM to stdout. It has no way of communicating the
sample rate and bit depth, figuring that out is up to you (ffmpeg’s decoder
manages to extract that correctly, otherwise just assume 44.1kHz/16bit).

## Motivation

Since ffmpeg’s wma decoder fails to decode (especially short) wma files
accurately, I had to use the only working wma decoder I know of: The one built
into Microsoft Windows (MediaFoundation).

For some reason, even if you manage to get the (discontinued?) Windows Media
Player working on a modern Windows machine, it only offers the option to burn
WMA files to a CD, not to convert them to other formats (at least I did not
find such an option).

## License

[WTFPL](WTFPL)
