﻿using System;
using System.IO;
using NAudio.Wave;

namespace wmadec
{
    class Program
    {
        static void Main()
        {
            var stdin = Console.OpenStandardInput();
            var wmaData = new MemoryStream();
            stdin.CopyTo(wmaData);
            var wmaReader = new StreamMediaFoundationReader(wmaData);
            var stdout = Console.OpenStandardOutput();
            wmaReader.CopyTo(stdout);
            stdout.Flush();
        }
    }
}
